View.ViewConfig (jEdit API Documentation)

Package org.gjt.sp.jedit

## Class View.ViewConfig

- java.lang.Object
- - org.gjt.sp.jedit.View.ViewConfig

- Enclosing class:
    View

      public static class View.ViewConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `DockableWindowManager.DockingLayout` | `docking` |
    `int` | `extState` |
    `int` | `height` |
    `boolean` | `plainView` |
    `java.lang.String` | `splitConfig` |
    `java.lang.String` | `title` |
    `int` | `width` |
    `int` | `x` |
    `int` | `y` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViewConfig()` |
    `ViewConfig​(boolean plainView)` |
    `ViewConfig​(boolean plainView, java.lang.String splitConfig, int x, int y, int width, int height, int extState)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

    - #### extState

          public int extState

    - #### plainView

          public boolean plainView

    - #### splitConfig

          public java.lang.String splitConfig

    - #### docking

          public DockableWindowManager.DockingLayout docking

    - #### title

          public java.lang.String title

  - ### Constructor Detail

    - #### ViewConfig

          public ViewConfig()

    - #### ViewConfig

          public ViewConfig​(boolean plainView)

    - #### ViewConfig

          public ViewConfig​(boolean plainView,
                            java.lang.String splitConfig,
                            int x,
                            int y,
                            int width,
                            int height,
                            int extState)